summaryrefslogtreecommitdiffstats
path: root/libraries/xlt
diff options
context:
space:
mode:
author Vincent Batts <vbatts@batts.mine.nu>2010-05-11 22:54:27 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:54:27 +0200
commit04c4c5e45b12ce0adb5a278472004a0cecac73ea (patch)
treea5f62db941da6e0c801d01067c308de78af35fa4 /libraries/xlt
parentb51093bce423f2646a045fb9406ea4a5a0834eb0 (diff)
downloadslackbuilds-04c4c5e45b12ce0adb5a278472004a0cecac73ea.tar.gz
slackbuilds-04c4c5e45b12ce0adb5a278472004a0cecac73ea.tar.xz
libraries/xlt: Added to 12.1 repository
Diffstat (limited to 'libraries/xlt')
-rw-r--r--libraries/xlt/README8
-rw-r--r--libraries/xlt/doinst.sh3
-rw-r--r--libraries/xlt/slack-desc9
-rw-r--r--libraries/xlt/xlt.SlackBuild72
-rw-r--r--libraries/xlt/xlt.info8
5 files changed, 100 insertions, 0 deletions
diff --git a/libraries/xlt/README b/libraries/xlt/README
new file mode 100644
index 0000000000..75954dde65
--- /dev/null
+++ b/libraries/xlt/README
@@ -0,0 +1,8 @@
+xlt ( libXlt library)
+====================
+
+The Xlt widget set is a group of larger and smaller utility
+ widgets, authored by Rick Scott unless stated otherwise.
+ In addition the Xlt library also suppplied a couple of
+ convenience functions (and macros) to help with certain
+ tasks while programming with the Motif API.
diff --git a/libraries/xlt/doinst.sh b/libraries/xlt/doinst.sh
new file mode 100644
index 0000000000..2d1871b1df
--- /dev/null
+++ b/libraries/xlt/doinst.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+ldconfig
diff --git a/libraries/xlt/slack-desc b/libraries/xlt/slack-desc
new file mode 100644
index 0000000000..e93a10c305
--- /dev/null
+++ b/libraries/xlt/slack-desc
@@ -0,0 +1,9 @@
+xlt: xlt ( the libXlt library)
+xlt:
+xlt: The Xlt widget set is a group of larger and smaller utility
+xlt: widgets, authored by Rick Scott unless stated otherwise. In
+xlt: addition the Xlt library also suppplied a couple of
+xlt: convenience functions (and macros) to help with certain
+xlt: tasks while programming with the Motif API.
+xlt:
+xlt:
diff --git a/libraries/xlt/xlt.SlackBuild b/libraries/xlt/xlt.SlackBuild
new file mode 100644
index 0000000000..4359e81de5
--- /dev/null
+++ b/libraries/xlt/xlt.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for xlt
+
+# Written by Vincent Batts, vbatts@batts.mine.nu
+# Modified by SlackBuilds.org
+
+set -e
+
+PRGNAM=xlt
+BIG_PRGNAM=Xlt
+VERSION=11.1.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $BIG_PRGNAM-$VERSION
+tar xzvf $CWD/$BIG_PRGNAM-$VERSION.tar.gz || exit 1
+cd $BIG_PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \; || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv -v $PKG/usr/$BIG_PRGNAM/doc/* $PKG/usr/doc/$PRGNAM-$VERSION/
+rm -rf $PKG/usr/$BIG_PRGNAM
+cp -a INSTALL COPYING COPYING.LIB AUTHORS ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/xlt/xlt.info b/libraries/xlt/xlt.info
new file mode 100644
index 0000000000..7fc7705d32
--- /dev/null
+++ b/libraries/xlt/xlt.info
@@ -0,0 +1,8 @@
+PRGNAM="xlt"
+VERSION="11.1.11"
+HOMEPAGE="http://sourceforge.net/projects/xlt"
+DOWNLOAD="http://downloads.sourceforge.net/xlt/Xlt-11.1.11.tar.gz"
+MD5SUM="37a109c0bf2e0780bf79184be8273c92"
+MAINTAINER="Vincent Batts"
+EMAIL="vbatts@batts.mine.nu"
+APPROVED="Erik Hanson"